LIBKECCAK_SIMPLE_SQUEEZE(3)

NAME
libkeccak_simple_squeeze - Runs Keccak-f a number of times

SYNOPSIS
#include <libkeccak.h>
void libkeccak_simple_squeeze(struct libkeccak_state *state, long int times);

Link with -lkeccak.

DESCRIPTION
The libkeccak_simple_squeeze() function runs Keccak-f times times on the hashing process described by *state.

RETURN VALUES
The libkeccak_simple_squeeze() function does not return any value.

ERRORS
The libkeccak_simple_squeeze() function cannot fail.

SEE ALSO
libkeccak_digest(3), libkeccak_fast_digest(3), libkeccak_fast_squeeze(3), libkeccak_squeeze(3)